using Microsoft.Extensions.DependencyInjection;

namespace MangaReader.Core.Metadata;

public class MangaMetadataCoordinator(IServiceProvider serviceProvider) : IMangaMetadataCoordinator
{
    public IMangaMetadataProvider GetProvider(string sourceName)
    {
        return serviceProvider.GetRequiredKeyedService<IMangaMetadataProvider>(sourceName);
    }
}